<div [className]="globals.isMobile ? 'has-margin-left-4 has-margin-right-4 has-margin-top-3' : 'is-flex is-justify-center has-margin-top-3'">
  <div [className]="globals.isMobile ? 'background' : 'background width-2'">
    <img [className]="globals.isMobile ? 'is-mobile' : 'is-desktop'" src="../assets/images/newpass.png">
    <h1 [className]="globals.isMobile ? 'is-mobile' : 'is-desktop'">Nouveau mot de passe</h1>
    <form class="is-flex has-margin-top-3" [formGroup]="Password" (ngSubmit)="Submit()">
      <app-password formControlName="newPassword" [checkInput]="'true'" [password]="'visible'" [text]="'Mot de passe'"> </app-password>
      <button #SubmitButton [className]="globals.isMobile ? 'button default-style submit-style has-margin-top-1 has-margin-bottom-2 button-size-mobile' : 'button default-style button-size-desktop submit-style has-margin-top-1 has-margin-bottom-2'" *ngIf="isValid()" id="submit" type="submit">Valider</button>
    </form>
  </div>
</div>


<div #Success class="modal">
  <div class="modal-background"></div>
  <div class="modal-card">
    <header class="modal-card-head">
      <div class="is-flex is-align-center is-column flex-grow-4">
        <img [className]="globals.isMobile ? 'imageSize-mobile' : 'imageSize-desktop'" src="../../assets/images/passwordCheck.png">
        <p class="modal-card-title has-margin-top-1">Mot de passe réinitialisé !</p>
      </div>
      <button (click)="cancel('success')" class="buttonStyle has-cursor-pointer"><img width="50px" src="../../assets/images/croix.png"/></button>
    </header>
    <section class="modal-card-body is-flex is-column">
      <p class="is-modal-paragraph">Ton mot de passe a bien été changé !</p>
      <button class="default-style submit-style has-margin-top-10" (click)="redirect()">Valider</button>
    </section>
  </div>
</div>

<div #Failure class="modal">
  <div class="modal-background"></div>
  <div class="modal-card">
    <header class="modal-card-head">
      <div class="is-flex is-align-center is-column flex-grow-4">
        <img [className]="globals.isMobile ? 'imageSize-mobile' : 'imageSize-desktop'" src="../../assets/images/error.png">
        <p class="modal-card-title has-margin-top-1">Une erreur est survenue !</p>
      </div>
      <button (click)="cancel('failure')" class="buttonStyle has-cursor-pointer"><img width="50px" src="../../assets/images/croix.png"/></button>
    </header>
    <section class="modal-card-body is-flex is-column">
      <p class="is-modal-paragraph"> Il semble y avoir un problème.</p>
      <button class="default-style failure-style has-margin-top-10" (click)="submit()">Réessayer</button>
    </section>
  </div>
</div>